<?php

namespace Smsto\Hubspot\Http\Requests\Api;

use Smsto\Hubspot\Http\Requests\FormRequest;

class CallbackSmstoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'trackingId' => ['required', 'string'],
            'messageId' => ['required', 'string'],
            'phone' => ['required', 'string'],
            'status' => ['required', 'string'],
            'parts' => ['required', 'string'],
            'price' => ['required', 'string'],
        ];
    }
}
